/v1/spaces/{space_id}/skills/executionsT073 — list skill executions in this space. Without ``skills.execution.view.any``: returns only the caller's own rows. With the permission: returns all rows in the space.
| Name | Type | Required | Description |
|---|---|---|---|
space_id | string (uuid) | Required |
| Name | Type | Required | Description |
|---|---|---|---|
cursor | string | Optional | |
limit | integer | Optional | Default: 25 |
state | string | Optional | |
skill_slug | string | Optional | |
principal_id | string | Optional | |
started_after | string | Optional | |
started_before | string | Optional | |
source | string | Optional |
| Name | Type | Required | Description |
|---|---|---|---|
X-API-Key | string | Optional |
curl -X GET '/api-proxy/v1/spaces/{space_id}/skills/executions' \
-H 'Authorization: Bearer <YOUR_TOKEN>'{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"tenant_id": "550e8400-e29b-41d4-a716-446655440000",
"space_id": "550e8400-e29b-41d4-a716-446655440000",
"principal_id": "550e8400-e29b-41d4-a716-446655440000",
"skill_slug": "string",
"skill_version": {},
"source": "standalone",
"state": "queued",
"parent_execution_id": {},
"created_at": "2024-01-01T00:00:00Z",
"started_at": {},
"finished_at": {},
"failure_reason": {},
"resource_usage": {
"input_tokens": 0,
"output_tokens": 0,
"cost_usd": "string",
"wallclock_ms": {},
"iteration_count": 0
}
}
],
"meta": {
"next_cursor": {},
"has_more": false
}
}curl -X GET '/api-proxy/v1/spaces/{space_id}/skills/executions' \
-H 'Authorization: Bearer <YOUR_TOKEN>'{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"tenant_id": "550e8400-e29b-41d4-a716-446655440000",
"space_id": "550e8400-e29b-41d4-a716-446655440000",
"principal_id": "550e8400-e29b-41d4-a716-446655440000",
"skill_slug": "string",
"skill_version": {},
"source": "standalone",
"state": "queued",
"parent_execution_id": {},
"created_at": "2024-01-01T00:00:00Z",
"started_at": {},
"finished_at": {},
"failure_reason": {},
"resource_usage": {
"input_tokens": 0,
"output_tokens": 0,
"cost_usd": "string",
"wallclock_ms": {},
"iteration_count": 0
}
}
],
"meta": {
"next_cursor": {},
"has_more": false
}
}